TermVectorComponent (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.component.TermVectorComponent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.component
Class TermVectorComponent

    java.lang.Object
      org.apache.solr.handler.component.SearchComponent
          org.apache.solr.handler.component.TermVectorComponent

All Implemented Interfaces:
  SolrInfoMBean, NamedListInitializedPlugin, SolrCoreAware

    public class TermVectorComponent

extends SearchComponent
implements SolrCoreAware

Return term vectors for the documents in a query result set.

Info available: term, frequency, position, offset, IDF.

Note Returning IDF can be expensive.

     <searchComponent name="tvComponent" class="solr.TermVectorComponent"/>

     <requestHandler name="/terms" class="solr.SearchHandler">
       <lst name="defaults">
         <bool name="tv">true</bool>
       </lst>
       <arr name="last-component">
         <str>tvComponent</str>
       </arr>
     </requestHandler>

Version:
  $Id$

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean
`SolrInfoMBean.Category`

Field Summary
`static String` | `COMPONENT_NAME`
`protected NamedList` | `initParams`
`static String` | `TERM_VECTORS`

Constructor Summary
`TermVectorComponent()`

Method Summary
`int` | `distributedProcess(ResponseBuilder rb)` Process for a distributed search.
`String` | `getDescription()` Simple one or two line description
`String` | `getSource()` CVS Source, SVN Source, etc
`String` | `getSourceId()` CVS Id, SVN Id, etc
`String` | `getVersion()` Simple common usage version, e.g.
`void` | `inform(SolrCore core)`
`void` | `init(NamedList args)`
`void` | `prepare(ResponseBuilder rb)` Prepare the response.
`void` | `process(ResponseBuilder rb)` Process the request for this component

Methods inherited from class org.apache.solr.handler.component.SearchComponent
`finishStage, getCategory, getDocs, getName, getStatistics, handleResponses, modifyRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_NAME

    public static final String COMPONENT_NAME

See Also:
  Constant Field Values

### initParams

    protected NamedList initParams

### TERM_VECTORS

    public static final String TERM_VECTORS

See Also:
  Constant Field Values

Constructor Detail

### TermVectorComponent

    public TermVectorComponent()

Method Detail

### process

    public void process(ResponseBuilder rb)
                 throws IOException

  Description copied from class: `SearchComponent`
  Process the request for this component

  Specified by:
    `process` in class `SearchComponent`
  Parameters:
    `rb` - The `ResponseBuilder`
  Throws:
    `IOException`

### distributedProcess

    public int distributedProcess(ResponseBuilder rb)
                           throws IOException

  Description copied from class: `SearchComponent`
  Process for a distributed search.

  Overrides:
    `distributedProcess` in class `SearchComponent`
  Returns:
    the next stage for this component
  Throws:
    `IOException`

### prepare

    public void prepare(ResponseBuilder rb)
                 throws IOException

  Description copied from class: `SearchComponent`
  Prepare the response. Guaranteed to be called before any SearchComponent `SearchComponent.process(org.apache.solr.handler.component.ResponseBuilder)` method. Called for every incoming request. The place to do initialization that is request dependent.

  Specified by:
    `prepare` in class `SearchComponent`
  Parameters:
    `rb` - The `ResponseBuilder`
  Throws:
    `IOException`

### init

    public void init(NamedList args)

  Specified by:
    `init` in interface `NamedListInitializedPlugin`
  Overrides:
    `init` in class `SearchComponent`

### inform

    public void inform(SolrCore core)

  Specified by:
    `inform` in interface `SolrCoreAware`

### getVersion

    public String getVersion()

  Description copied from interface: `SolrInfoMBean`
  Simple common usage version, e.g. 2.0

  Specified by:
    `getVersion` in interface `SolrInfoMBean`
  Specified by:
    `getVersion` in class `SearchComponent`

### getSourceId

    public String getSourceId()

  Description copied from interface: `SolrInfoMBean`
  CVS Id, SVN Id, etc

  Specified by:
    `getSourceId` in interface `SolrInfoMBean`
  Specified by:
    `getSourceId` in class `SearchComponent`

### getSource

    public String getSource()

  Description copied from interface: `SolrInfoMBean`
  CVS Source, SVN Source, etc

  Specified by:
    `getSource` in interface `SolrInfoMBean`
  Specified by:
    `getSource` in class `SearchComponent`

### getDescription

    public String getDescription()

  Description copied from interface: `SolrInfoMBean`
  Simple one or two line description

  Specified by:
    `getDescription` in interface `SolrInfoMBean`
  Specified by:
    `getDescription` in class `SearchComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD